org.eclipse.rdf4j.common.logging

## Enum LogLevel

- java.lang.Object
- - java.lang.Enum<LogLevel>
  - - org.eclipse.rdf4j.common.logging.LogLevel

- All Implemented Interfaces:
    Serializable, Comparable<LogLevel>

      public enum LogLevel
      extends Enum<LogLevel>

  Generic log level enumeration

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DEBUG`
    `ERROR`
    `INFO`
    `TRACE`
    `WARN`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LogLevel` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static LogLevel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ERROR

          public static final LogLevel ERROR

    - #### WARN

          public static final LogLevel WARN

    - #### INFO

          public static final LogLevel INFO

    - #### DEBUG

          public static final LogLevel DEBUG

    - #### TRACE

          public static final LogLevel TRACE

  - ### Method Detail

    - #### values

          public static LogLevel[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LogLevel c : LogLevel.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LogLevel valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.